Project

General

Profile

Bug #10331

French language give a Warning: sprintf(): in system_advanced_admin.php

Added by Anthony hesnaux 7 months ago. Updated 6 days ago.

Status:
Resolved
Priority:
Normal
Category:
Translations
Target version:
Start date:
03/10/2020
Due date:
% Done:

100%

Estimated time:
Affected Version:
2.5.0
Affected Architecture:

Description

Hello all,
If you select French langage and you go to "system_advanced_admin.php" page you have this warning and it's generate crash repport on dashboard

Warning: sprintf(): Argument number must be greater than zero in /usr/local/www/classes/Form/Input.class.php on line 125

can you solve this ?

Thank you

Best Regards

Associated revisions

Revision 8557c559 (diff)
Added by Renato Botelho 7 months ago

Fix #10331: Fix sprintf() placeholder

History

#1 Updated by Jim Pingle 7 months ago

  • Category set to Translations
  • Assignee set to Renato Botelho

A string in the French translation file is broken.

It is:

"pour l'interface dans la console permet de réarmer ce paramètre%$3$s"

It should be:

"pour l'interface dans la console permet de réarmer ce paramètre%3$s"

Note the difference is in the sprintf placeholder, which should be %3$s.

#2 Updated by Jim Pingle 7 months ago

  • Target version set to 2.4.5

#3 Updated by Renato Botelho 7 months ago

Fixed at Zanata and a direct commit to 2.4.5

#4 Updated by Renato Botelho 7 months ago

  • Status changed from New to Feedback
  • % Done changed from 0 to 100

#5 Updated by Jim Pingle 7 months ago

  • Status changed from Feedback to New
  • Target version changed from 2.4.5 to 2.5.0
  • Affected Version changed from 2.4.5 to 2.5.0

Working fine on 2.4.5 as of 2.4.5.r.20200311.0600

2.5.0 (2.5.0.a.20200311.0759) still produces an error. Since it's OK on 2.4.5, I'll retarget this to make sure it gets caught before 2.5.0 is done. It should happen naturally next time the translation files are updated there.

#6 Updated by Anthony hesnaux 7 months ago

Jim Pingle wrote:

Working fine on 2.4.5 as of 2.4.5.r.20200311.0600

2.5.0 (2.5.0.a.20200311.0759) still produces an error. Since it's OK on 2.4.5, I'll retarget this to make sure it gets caught before 2.5.0 is done. It should happen naturally next time the translation files are updated there.

Hello All,
It's OK for me too.
Thank you for your help.

Best Regards

Anthony

#7 Updated by Renato Botelho 7 months ago

Jim Pingle wrote:

Working fine on 2.4.5 as of 2.4.5.r.20200311.0600

2.5.0 (2.5.0.a.20200311.0759) still produces an error. Since it's OK on 2.4.5, I'll retarget this to make sure it gets caught before 2.5.0 is done. It should happen naturally next time the translation files are updated there.

I've fixed string at Zanata, it will work on 2.5.0 after the next round of translation updates

#8 Updated by Renato Botelho 5 months ago

  • Status changed from New to Feedback

#9 Updated by Renato Botelho 6 days ago

  • Status changed from Feedback to Resolved

Also available in: Atom PDF